Skip to content

List



GET /api/v1/error_track_rule/list

Overview

Query Parameters

Parameter Name Type Required Description
search string Search rule name
Allow empty: True
type string Type
Allow empty: False
Allowed values: ['logging', 'tracing', 'rum']
pageIndex integer Page number
Allow empty: False
Example: 1
$minValue: 1
pageSize integer Number of items per page
Allow empty: False
Example: 10
$minValue: 1
$maxValue: 100

Parameter Details

Request Example

curl 'https://openapi.truewatch.com/api/v1/error_track_rule/list?pageIndex=1&pageSize=50&type=logging&search=jj' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": {
        "data": [
            {
                "workspaceUUID": "wksp_84c4a0044edc4f878ea88e4517659bda",
                "name": "jj_test-m",
                "desc": "",
                "type": "logging",
                "sources": [
                    "front_backend"
                ],
                "extend": {},
                "id": 30,
                "uuid": "issetrule_02b5abf016524b3fa2c0a15bd3279c1b",
                "status": 2,
                "creator": "acnt_8b4bd2b8782646f3ba8f6554193f5997",
                "updator": "acnt_8b4bd2b8782646f3ba8f6554193f5997",
                "createAt": 1772788123,
                "deleteAt": -1,
                "updateAt": 1772788357,
                "creatorInfo": {
                    "uuid": "acnt_8b4bd2b8782646f3ba8f6554193f5997",
                    "status": 0,
                    "wsAccountStatus": 0,
                    "username": "[email protected]",
                    "name": "Jin Lei788",
                    "iconUrl": "",
                    "email": "[email protected]",
                    "mobile": "17621725046",
                    "acntWsNickname": ""
                },
                "updatorInfo": {
                    "uuid": "acnt_8b4bd2b8782646f3ba8f6554193f5997",
                    "status": 0,
                    "wsAccountStatus": 0,
                    "username": "[email protected]",
                    "name": "Jin Lei788",
                    "iconUrl": "",
                    "email": "[email protected]",
                    "mobile": "17621725046",
                    "acntWsNickname": ""
                }
            }
        ],
        "pageInfo": {
            "pageIndex": 1,
            "pageSize": 50,
            "count": 1,
            "totalCount": 1
        }
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "0a373970caa4567728bb703b6f4b81ab"
}